#### D.2.9.6 redspec

Procedure from library `redcgs.lib` (see redcgs_lib).

Usage:
  redspec(N,W);
  N: null conditions ideal
  W: set of non-null polynomials (ideal)

Return:
  a list (N1,W1,L1) containing a red-specification of the segment (N,W). N1 is the radical reduced ideal characterizing the segment. V(N1) is the Zarisky closure of the segment (N,W).
  The segment S=V(N1) \ V(h), where h=prod(w in W1)
  N1 is uniquely determined and no prime component of N1 contains none of the polynomials in W1. The polynomials in W1 are prime and reduced w.r.t. N1, and are considered non-null on the segment. L1 contains the list of prime components of N1.

Note:
  can be called from ring @R but it works in ring @P.

Example:

    LIB "redcgs.lib";
    ring r=(0,a,b,c),(x,y),dp;
    setglobalrings();
    ideal N=(ab-c)*(a-b),(a-bc)*(a-b);
    ideal W=a^2-b^2,bc;
    redspec(N,W);
    ==> [1]:
    ==>    _[1]=(b2-1)
    ==>    _[2]=(a-bc)
    ==> [2]:
    ==>    _[1]=(b)
    ==>    _[2]=(c-1)
    ==>    _[3]=(c+1)
    ==>    _[4]=(c)
    ==> [3]:
    ==>    [1]:
    ==>       _[1]=(b+1)
    ==>       _[2]=(a+c)
    ==>    [2]:
    ==>       _[1]=(b-1)
    ==>       _[2]=(a-c)

User manual for Singular version 4.4.1, 2025, generated by texi2html.